# $Revision: 1.45 $, $Date: 2010/04/07 15:28:38 $
Summary:	CVSspam emails you diffs when someone commits a change to your CVS repository
Summary(pl.UTF-8):	CVSspam - wysyłanie różnic po wykonaniu zmiany w repozytorium CVS
Name:		cvsspam
Version:	0.2.12
Release:	13
License:	GPL
Group:		Applications/System
Source0:	http://www.badgers-in-foil.co.uk/projects/cvsspam/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0afa4fbaf1c9edb27385e46337f80f4b
Source1:	%{name}-branch.sh
Patch100:	%{name}-branch.diff
Patch0:		%{name}-textdiff.patch
Patch1:		%{name}-tracfunc.patch
Patch2:		ruby19.patch
URL:		http://www.badgers-in-foil.co.uk/projects/cvsspam/
BuildRequires:	rpmbuild(macros) >= 1.277
Requires:	cvs-client
%{?ruby_mod_ver_requires_eq}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_datadir	%{_prefix}/share/%{name}
%define		_libdir		%{_prefix}/lib

%description
CVSspam sends email when a change is committed to the CVS repository.
Syntax-highlighted diffs describe the changes made, and links to Web
frontends on CVS and bug tracking systems are generated where
possible.

%description -l pl.UTF-8
CVSspam wysyła wiadomość po wykonaniu zmiany w repozytorium CVS.
Różnice z podświetlaniem składni opisują wykonane zmiany, a jeśli to
możliwe, generowane są odnośniki do frontendów WWW do CVS i systemów
śledzenia błędów.

%prep
%setup -q
rm svn_post_commit_hook.rb
%patch100 -p0
%patch0 -p0
%patch1 -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir},%{_sysconfdir}}
install -p {collect_diffs,cvsspam,record_lastdir}.rb $RPM_BUILD_ROOT%{_datadir}
cp -a cvsspam.conf $RPM_BUILD_ROOT%{_sysconfdir}

# svn part
install -p svn_post_commit_hook.rb $RPM_BUILD_ROOT%{_datadir}

# compat
ln -s %{_datadir} $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

# make compat symlink, the symlink is discarded using %ghost on package uninstall
%triggerpostun -- cvsspam < 0.2.11-5.3
# need rmdir, because the path belongs to new package (is %ghosted) and therefore is not removed by rpm
rmdir %{_libdir}/%{name} 2>/dev/null || mv -v %{_libdir}/%{name}{,.rpmsave}
ln -s %{_datadir} %{_libdir}/%{name}
%banner %{name} -e <<EOF
NOTE:
The cvsspam programs have been moved to %{_datadir}.
I've created compat symlink so you don't feel so much pain of that.

EOF

%files
%defattr(644,root,root,755)
%doc CREDITS TODO cvsspam-doc.pdf cvsspam-doc.html
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cvsspam.conf
%dir %{_datadir}
%attr(755,root,root) %{_datadir}/*.rb

%ghost %{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvsspam.spec,v $
Revision 1.45  2010/04/07 15:28:38  glen
- ruby19 fix on users file encoding reading

Revision 1.44  2010/03/02 14:00:47  glen
- recover tracsub patch, rel 12

Revision 1.43  2009/04/23 17:36:18  glen
- must rm old svn_post_commit_hook.rb or patching goes crazy

Revision 1.42  2009/04/23 17:20:15  glen
- updated branch diff (patches merged)

Revision 1.41  2009/03/04 23:25:35  glen
- only one cvsspam.rb now

Revision 1.40  2009/03/04 21:16:07  glen
- drop the shortrepo prepend, breaks my setup and don't understand why it is needed

Revision 1.39  2009/03/04 20:19:32  glen
- install svnspam

Revision 1.38  2009/03/04 20:00:22  glen
- add trac patch

Revision 1.37  2009/03/04 19:49:10  glen
- update svnspam from svn

Revision 1.36  2008/09/09 19:10:42  glen
- be compatible with rfc2045 when encoding quoted-printable headers (uppercase hex); rel 11

Revision 1.35  2008/08/07 18:50:08  glen
- updated branch diff (users_file_charset.patch applied); no other changes

Revision 1.34  2008-03-27 13:38:11  glen
- th ftp ai, thx; 10

Revision 1.33  2008-03-27 13:01:03  glen
- release 9

Revision 1.32  2008-03-27 12:45:51  glen
- new patches; rel 8

Revision 1.31  2007-12-02 09:26:58  qboosh
- R =~ s/cvs/cvs-client/

Revision 1.30  2007-02-17 16:44:06  glen
- users file charset patch from author

Revision 1.29  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.27  2006/12/21 15:49:30  glen
- add branch.diff; rel 7

Revision 1.26  2006/03/02 20:03:45  glen
- issue xxx patch, rel 6

Revision 1.25  2006/02/28 09:39:32  glen
- add patch to have X-CVSspam-Module-Path: header in commits; rel 5

Revision 1.24  2005/12/31 10:36:32  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.23  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.22  2005/12/27 08:53:38  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.21  2005/11/17 17:36:51  glen
- include log link if cvsweb configured; rel 3

Revision 1.20  2005/07/26 20:05:38  glen
- add patch from mailinglist to properly encode HOOK and EQUALS in subject
- rel 2

Revision 1.19  2005/07/14 15:13:49  glen
- 0.2.12

Revision 1.18  2005/07/06 21:03:36  glen
- rel 7; STBR

Revision 1.17  2005/05/19 10:22:38  glen
- add patch to wrap cvs commits

Revision 1.16  2005/05/14 21:10:12  glen
- add mail threading feature

Revision 1.15  2005/04/02 00:09:27  glen
- rel 6; STBR

Revision 1.14  2005/03/27 21:53:45  glen
- safer trigger

Revision 1.13  2005/03/27 21:50:38  glen
- FHS
- noarch

Revision 1.12  2005/02/27 18:28:33  glen
- add fix for trailing slash in $CVSROOT

Revision 1.11  2005/02/21 20:03:01  glen
- -kb binary hint and encode personal name in CVSROOT/users patches

Revision 1.10  2005/02/17 22:07:04  glen
- rel 5; STBR

Revision 1.9  2005/02/16 20:40:52  glen
- another bugfix

Revision 1.8  2005/02/16 19:03:13  glen
- add patch for anchor numbering bug
- rel 4

Revision 1.7  2005/02/16 14:18:37  glen
- rel 3
- STBR

Revision 1.6  2005/02/16 14:15:36  glen
- put programs to libdir, you don't need them in your $PATH

Revision 1.5  2005/02/15 22:02:29  glen
- --charset arg support (a patch of mine)

Revision 1.4  2005/02/15 20:42:33  glen
- add CVSROOT/users quote patch
- rel 2

Revision 1.3  2005/02/13 21:19:12  glen
- adapterized
- rel 1
- STBR

Revision 1.2  2005/02/13 19:07:09  qboosh
- pl

Revision 1.1  2005/02/13 15:32:27  glen
- new
